ERROR message :( pls help

This message pops up whenever I open anki

Error message (don't change this)
Anki 24.04.1 (ccd9ca1a)  (ao)
Python 3.9.18 Qt 5.14.2 PyQt 5.14.1
Platform: macOS-10.13.6-x86_64-i386-64bit

Traceback (most recent call last):

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 247, in _send_request_with_retry
    response = self._send_request_with_retry_inner(

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x124435a60 state=finished raised SSLError>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 255, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 270, in _send_request_with_retry_inner
    response = session.send(request, stream=stream, timeout=timeout)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 517, in send

requests.exceptions.SSLError: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)')))


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "aqt.taskman", line 142, in _on_closures_pending

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/gui/menu.py", line 329, in on_done
    future.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/gui/operations/ankihub_sync.py", line 62, in sync_with_ankihub
    subscribed_decks = client.get_deck_subscriptions()

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 589, in get_deck_subscriptions
    response = self._send_request("GET", API.ANKIHUB, "/decks/subscriptions/")

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 229, in _send_request
    response = self._send_request_with_retry(

  File "/Users/lugainmarey/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py", line 257, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/decks/subscriptions/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)')))

Sentry link (for developers)

thank you for your reply
I did check my proxy settings but Iโ€™ve got no active proxies
I tried connecting to a different WiFi but the error still persists
could it be because of the anki version I have (Qt5)? or is that unrelated to the issue?
my AMBOSS add on stopped working since it now only works on Qt6

Can you try downgrading to a version before 24.04 (like 23.12.1) and see if that fixes the issue? Newer Anki versions have a network issue affecting some users, and weโ€™re not sure yet how to solve it.

that seems to have fixed the issue thank you so much